changeset 449:5e79364c9b1d prerelease

Remove old SYNTAX target in Makefile, which was causing the syntax check to behave wrong occasioinally. Also fixed update_board.
author Liam Donovan <l.b.donovan@qmul.ac.uk>
date Sun, 19 Jun 2016 21:52:07 +0100
parents fdb30affab1c
children d2dfa1718edb
files Makefile scripts/update_board
diffstat 2 files changed, 2 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/Makefile	Sun Jun 19 18:55:06 2016 +0100
+++ b/Makefile	Sun Jun 19 21:52:07 2016 +0100
@@ -154,7 +154,7 @@
 # syntax = check syntax
 syntax: ## Only checks syntax
 syntax: SYNTAX_FLAG := -fsyntax-only
-syntax: SYNTAX
+syntax: Bela
 
 # Rule for Bela core C++ files
 build/core/%.o: ./core/%.cpp
@@ -208,9 +208,6 @@
 	@echo ' ...done'
 	
 # Other Targets:
-# This rule compiles c and c++ source files without output or linking
-SYNTAX: $(C_OBJS) $(CPP_OBJS)
-
 projectclean:## Remove the PROJECT's build objects & binary
 	-$(RM) $(PROJECT_DIR)/build/* $(OUTPUT_FILE)
 	-@echo ' '	
--- a/scripts/update_board	Sun Jun 19 18:55:06 2016 +0100
+++ b/scripts/update_board	Sun Jun 19 21:52:07 2016 +0100
@@ -6,7 +6,7 @@
 [ -z "$BBB_ADDRESS" ] && BBB_ADDRESS="root@192.168.7.2"
 [ -z "$BBB_BELA_HOME" ] && BBB_BELA_HOME="/root/Bela/"
 
-. ./.bela_common || exit 1  
+# . ./.bela_common || exit 1  
 
 FILES_TO_COPY="core include Makefile libNE10.a libprussdrv.a examples Doxyfile"